<?php

namespace App\Distributor\Models;

use App\Models\BaseProductCategory;
use App\Models\BaseProductImage;
use Dcat\Admin\Traits\HasDateTimeFormatter;

use Illuminate\Database\Eloquent\Model;

class BaseProduct extends Model
{
	use HasDateTimeFormatter;
    protected $table = 'base_product';

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
        'parameters' => 'json', // 将 attributes 字段转换为数组
    ];

    public function baseProductCategory()
    {
        return $this->hasOne(BaseProductCategory::class,'id','category_id');
    }

    // 一对多关联
    public function images()
    {
        return $this->hasMany(BaseProductImage::class, 'product_id','id');
    }
}
