<?php

return [

    /*
    |--------------------------------------------------------------------------
    | 驗證語言行
    |--------------------------------------------------------------------------
    |
    | 以下語言行包含驗證器類使用的默認錯誤消息。某些規則有多個版本，
    | 如大小規則。您可以根據需要在此處調整每條消息。
    |
    */

    'accepted' => ':attribute 必須被接受。',
    'accepted_if' => '當 :other 為 :value 時，:attribute 必須被接受。',
    'active_url' => ':attribute 不是有效的URL。',
    'after' => ':attribute 必須是 :date 之後的日期。',
    'after_or_equal' => ':attribute 必須是 :date 之後或與其相等的日期。',
    'alpha' => ':attribute 只能包含字母。',
    'alpha_dash' => ':attribute 只能包含字母、數字、破折號和下劃線。',
    'alpha_num' => ':attribute 只能包含字母和數字。',
    'array' => ':attribute 必須是數組。',
    'ascii' => ':attribute 只能包含單字節的字母和符號。',
    'before' => ':attribute 必須是 :date 之前的日期。',
    'before_or_equal' => ':attribute 必須是 :date 之前或與其相等的日期。',
    'between' => [
        'array' => ':attribute 必須有 :min 到 :max 項。',
        'file' => ':attribute 必須介於 :min 到 :max KB之間。',
        'numeric' => ':attribute 必須介於 :min 到 :max 之間。',
        'string' => ':attribute 必須介於 :min 到 :max 個字符之間。',
    ],
    'boolean' => ':attribute 字段必須為 true 或 false。',
    'confirmed' => ':attribute 確認不匹配。',
    'current_password' => '密碼不正確。',
    'date' => ':attribute 不是有效日期。',
    'date_equals' => ':attribute 必須是等於 :date 的日期。',
    'date_format' => ':attribute 與格式 :format 不匹配。',
    'decimal' => ':attribute 必須有 :decimal 位小數。',
    'declined' => ':attribute 必須被拒絕。',
    'declined_if' => '當 :other 為 :value 時，:attribute 必須被拒絕。',
    'different' => ':attribute 和 :other 必須不同。',
    'digits' => ':attribute 必須是 :digits 位數字。',
    'digits_between' => ':attribute 必須在 :min 到 :max 位數字之間。',
    'dimensions' => ':attribute 圖片尺寸無效。',
    'distinct' => ':attribute 字段有重複值。',
    'doesnt_end_with' => ':attribute 不能以以下之一結尾: :values。',
    'doesnt_start_with' => ':attribute 不能以以下之一開頭: :values。',
    'email' => ':attribute 必須是有效的電子郵件地址。',
    'ends_with' => ':attribute 必須以以下之一結尾: :values。',
    'enum' => '所選的 :attribute 無效。',
    'exists' => '所選的 :attribute 無效。',
    'file' => ':attribute 必須是文件。',
    'filled' => ':attribute 字段必須有值。',
    'gt' => [
        'array' => ':attribute 必須多於 :value 項。',
        'file' => ':attribute 必須大於 :value KB。',
        'numeric' => ':attribute 必須大於 :value。',
        'string' => ':attribute 必須大於 :value 個字符。',
    ],
    'gte' => [
        'array' => ':attribute 必須有 :value 項或更多。',
        'file' => ':attribute 必須大於或等於 :value KB。',
        'numeric' => ':attribute 必須大於或等於 :value。',
        'string' => ':attribute 必須大於或等於 :value 個字符。',
    ],
    'image' => ':attribute 必須是圖像。',
    'in' => '所選的 :attribute 無效。',
    'in_array' => ':attribute 字段不存在於 :other 中。',
    'integer' => ':attribute 必須是整數。',
    'ip' => ':attribute 必須是有效的IP地址。',
    'ipv4' => ':attribute 必須是有效的IPv4地址。',
    'ipv6' => ':attribute 必須是有效的IPv6地址。',
    'json' => ':attribute 必須是有效的JSON字符串。',
    'lowercase' => ':attribute 必須為小寫字母。',
    'lt' => [
        'array' => ':attribute 必須少於 :value 項。',
        'file' => ':attribute 必須小於 :value KB。',
        'numeric' => ':attribute 必須小於 :value。',
        'string' => ':attribute 必須小於 :value 個字符。',
    ],
    'lte' => [
        'array' => ':attribute 不能多於 :value 項。',
        'file' => ':attribute 必須小於或等於 :value KB。',
        'numeric' => ':attribute 必須小於或等於 :value。',
        'string' => ':attribute 必須小於或等於 :value 個字符。',
    ],
    'mac_address' => ':attribute 必須是有效的MAC地址。',
    'max' => [
        'array' => ':attribute 不能多於 :max 項。',
        'file' => ':attribute 不能大於 :max KB。',
        'numeric' => ':attribute 不能大於 :max。',
        'string' => ':attribute 不能大於 :max 個字符。',
    ],
    'max_digits' => ':attribute 不能多於 :max 位數字。',
    'mimes' => ':attribute 必須是以下類型的文件: :values。',
    'mimetypes' => ':attribute 必須是以下類型的文件: :values。',
    'min' => [
        'array' => ':attribute 必須至少有 :min 項。',
        'file' => ':attribute 至少為 :min KB。',
        'numeric' => ':attribute 至少為 :min。',
        'string' => ':attribute 至少為 :min 個字符。',
    ],
    'min_digits' => ':attribute 必須至少有 :min 位數字。',
    'missing' => ':attribute 字段必須缺失。',
    'missing_if' => '當 :other 為 :value 時，:attribute 字段必須缺失。',
    'missing_unless' => '除非 :other 是 :value，否則 :attribute 字段必須缺失。',
    'missing_with' => '當 :values 存在時，:attribute 字段必須缺失。',
    'missing_with_all' => '當 :values 存在時，:attribute 字段必須缺失。',
    'multiple_of' => ':attribute 必須是 :value 的倍數。',
    'not_in' => '所選的 :attribute 無效。',
    'not_regex' => ':attribute 格式無效。',
    'numeric' => ':attribute 必須是數字。',
    'password' => [
        'letters' => ':attribute 必須包含至少一個字母。',
        'mixed' => ':attribute 必須包含至少一個大寫字母和一個小寫字母。',
        'numbers' => ':attribute 必須包含至少一個數字。',
        'symbols' => ':attribute 必須包含至少一個符號。',
        'uncompromised' => '給定的 :attribute 已出現在數據洩露中，請選擇不同的 :attribute。',
    ],
    'present' => ':attribute 字段必須存在。',
    'prohibited' => ':attribute 字段是禁止的。',
    'prohibited_if' => '當 :other 為 :value 時，:attribute 字段是禁止的。',
    'prohibited_unless' => '除非 :other 在 :values 中，否則 :attribute 字段是禁止的。',
    'prohibits' => ':attribute 字段禁止 :other 出現。',
    'regex' => ':attribute 格式無效。',
    'required' => ':attribute 字段是必需的。',
    'required_array_keys' => ':attribute 字段必須包含以下條目: :values。',
    'required_if' => '當 :other 為 :value 時，:attribute 字段是必需的。',
    'required_if_accepted' => '當 :other 被接受時，:attribute 字段是必需的。',
    'required_unless' => '除非 :other 在 :values 中，否則 :attribute 字段是必需的。',
    'required_with' => '當 :values 存在時，:attribute 字段是必需的。',
    'required_with_all' => '當 :values 存在時，:attribute 字段是必需的。',
    'required_without' => '當 :values 不存在時，:attribute 字段是必需的。',
    'required_without_all' => '當 :values 都不存在時，:attribute 字段是必需的。',
    'same' => ':attribute 和 :other 必須匹配。',
    'size' => [
        'array' => ':attribute 必須包含 :size 項。',
        'file' => ':attribute 必須是 :size KB。',
        'numeric' => ':attribute 必須是 :size。',
        'string' => ':attribute 必須是 :size 個字符。',
    ],
    'starts_with' => ':attribute 必須以以下之一開頭: :values。',
    'string' => ':attribute 必須是字符串。',
    'timezone' => ':attribute 必須是有效的時區。',
    'unique' => ':attribute 已經被占用。',
    'uploaded' => ':attribute 上傳失敗。',
    'uppercase' => ':attribute 必須是大寫字母。',
    'url' => ':attribute 必須是有效的URL。',
    'ulid' => ':attribute 必須是有效的ULID。',
    'uuid' => ':attribute 必須是有效的UUID。',

    /*
    |--------------------------------------------------------------------------
    | 自定義驗證語言行
    |--------------------------------------------------------------------------
    |
    | 在此您可以為屬性指定自定義的驗證消息，使用 "attribute.rule" 的方式來
    | 命名這些行。這樣您可以快速為某個屬性的特定規則指定消息。
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => '自定義消息',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | 自定義驗證屬性
    |--------------------------------------------------------------------------
    |
    | 以下語言行用於將屬性占位符替換為更友好的名稱，如 "E-Mail Address"
    | 而不是 "email"。這有助於使我們的消息更具表達性。
    |
    */

    'attributes' => [],

];
